/*
 * Copyright
 *   2007 axYus - www.axyus.com
 *   2007 C.Marchand - christophe.marchand@axyus.com
 *
 * This file is part of XEMELIOS.
 *
 * XEMELIOS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * XEMELIOS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with XEMELIOS; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package fr.gouv.finances.cp.xemelios.data.impl.mysql;

/**
 * @author chm
 *
 * TODO To change the template for this generated type comment go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
public class ConditionsSplitter {
    private String conditions = null;
    public ConditionsSplitter(String conditions) {
        super();
        this.conditions = conditions;
    }
    public boolean hasMoreCondition() {
        return conditions!=null;
    }
    public String getNextCondition() {
        int bracketCount=1;
        int pos=0;
        int length=conditions.length();
        while(pos<length && bracketCount!=0) {
            char c = conditions.charAt(++pos);
            if(c=='[') bracketCount++;
            else if(c==']') bracketCount--;
        }
        if(bracketCount==0) {
            String left = conditions.substring(0,pos+1);
            conditions=conditions.substring(pos+1);
            return left;
        }
        String ret = conditions;
        conditions=null;
        return ret;
    }
}
